import _mapKeys from 'lodash/mapKeys';
import _extend from 'lodash/extend'; /* eslint no-param-reassign: "off" */

var defaultConnectionData = {
  apiRoot: 'https://api.example.com',
  pluralize: true,
  casingStyle: 'camel',
  // headers: function() {},
  models: {},
  collections: {}
};

export default {

  dependencies: [],

  defaults: {
    connections: {
      default: _extend({}, defaultConnectionData)
    }
  },

  load: function load(lore) {
    var config = lore.config.connections;
    lore.connections = {};

    _mapKeys(config, function (data, connectionName) {
      lore.connections[connectionName] = _extend({}, defaultConnectionData, data);
    });
  }

};