'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultConnectionData = {
  apiRoot: 'https://api.example.com',
  pluralize: true,
  casingStyle: 'camel',
  // headers: function() {},
  models: {},
  collections: {}
}; /* eslint no-param-reassign: "off" */

exports.default = {

  dependencies: [],

  defaults: {
    connections: {
      default: _lodash2.default.extend({}, defaultConnectionData)
    }
  },

  load: function load(lore) {
    var config = lore.config.connections;
    lore.connections = {};

    _lodash2.default.mapKeys(config, function (data, connectionName) {
      lore.connections[connectionName] = _lodash2.default.extend({}, defaultConnectionData, data);
    });
  }

};
module.exports = exports['default'];